Subject: Re: bug#57590: [PATCH] Adding libldm: Manager for Windows dynamic disks including software RAID. It creates device mapper entries for dynamic disks allowing them to be mounted.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 18 Oct 2022 17:20:15 +0200

Hi,

Lukasz Olszewski <[email-masked]> skribis:

>> > +++ b/gnu/packages/libldm.scm
>> > @@ -0,0 +1,70 @@
>> > +(define-module (gnu packages libldm)
>>
>> We’ll need the license/copyright header as you noted.
>>
>
> I've posted a later patch that included those, but it was posted as a patch
> on top of a patch so perhaps it wasn't well visible. I'll integrate it in
> the next version.

I did see it (thanks!).  It would be great though if you could send a
single “v2” patch that includes everything.

>> > +       #:parallel-build? #t
>>
>> This is unnecessary.
>>
>
> Are parallel builds enabled by default?

Yes, that’s why.

>> > +                  (replace 'bootstrap
>> > +                    (lambda _
>> > +                      (invoke "autoreconf" "-fiv"))))))
>>
>> Is it necessary?  The default ‘bootstrap’ phase does something similar.
>>
>
> I've copied this phase from another package. If I remember correctly the
> configure phase failed without. I'll have to test again to check.

Yes please.

Thanks,
Ludo’.